TokyoTyrantTable
TokyoTyrantTable::genUid
TokyoTyrantTable
PHP Manual

# TokyoTyrantTable::add

(PECL tokyo_tyrant >= 0.1.0)

TokyoTyrantTable::add — Adds a record

### Description

public void TokyoTyrantTable::add ( string `$key` , mixed `$increment` [, string `$type` ] )

This method is not supported with table databases.

### Parameters

`key`

  The string key

`increment`

  The amount to increment

`type`

  `TokyoTyrant::RDB_RECINT` or `TokyoTyrant::RDB_RECDBL` constant. If this parameter is omitted the type is guessed from the `increment` parameters type.

### Return Values

This method throws an TokyoTyrantException if used through this class.

### See Also

- TokyoTyrant::add() - Adds to a numeric key

TokyoTyrantTable
TokyoTyrantTable::genUid
TokyoTyrantTable
PHP Manual